Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
20 Views

Problem when build

Hi !!, I'm problem... When build the proyect and install in my mobile with android 2.3.x appear error and not install.

This error appear after upload the Intel XDK software.

Can I build for this versión the Android now???, How???

Thanks.

Tags (2)
0 Kudos
7 Replies
Highlighted
20 Views

Juan, to better help you, I will need more information about your problem. If you are more comfortable using your native language, please go ahead. I will use google translate to try to decipher what I can.

What is the error you are getting? I understand it is an Android build using Intel XDK? Is it the latest version 3088 (find version number at the top right corner)?

A screenshot of the error will help. Or you can send me a personal message with your project.

0 Kudos
Highlighted
20 Views

OK, thanks. in english continue...

Yes, I'm using built for android.

Yes I use Intel XDK 3088

The error When install the apk in my mobile with android 2.3.6 is...

 

ERROR de Analisis

Se ha producido un problema al analizar el paquete

 

0 Kudos
Highlighted
20 Views

Parse error


There was a problem parsing the package

Okay, it looks like your app might not be 'signed'.

Go to your projects tab and select the 'signed' check box under android build config.

Capture.PNG

Let me know if that doesn't resolve your issue.

0 Kudos
Highlighted
20 Views

no, that was marked . Deputy screenshots build configuration

 

0 Kudos
Highlighted
20 Views

Can you attach your .xdk file to this thread? I would like to know if the signed UI settings in reflected in your project settings file. 

A few other things to consider:

- allow app installation from unknown sources. You can change this from your phone's security settings.

- make sure your APK download is not corrupted.

- try disabling any anti-virus in your phone.

- if you have another android device try on that and see if it works. 

 

0 Kudos
Highlighted
20 Views

- allow app installation from unknown sources. You can change this from your phone's security settings.

YES

- make sure your APK download is not corrupted.

YES beacause answer 4

- try disabling any anti-virus in your phone.

NO, not have anti-virus

- if you have another android device try on that and see if it works. 

YES

0 Kudos
Highlighted
20 Views

Juan -- the CLI 5.x build systems and updated Cordova-Android frameworks no longer support Android 2.x or Android 3.x systems. You can only build and install for Android 4.x and higher devices. This is a Cordova limitation that the XDK has no control over. The Cordova project has dropped support for these older devices because they now represent less than 5% of the total Android population new devices based on these older versions of Android have not been produced for several years. They also do not have the ability to run many apps built with the latest versions of the Android development tools.

0 Kudos